Inhoud
Index 🔎︎

# Call-instructie

Verplaatst de controle over het programma naar een sub, functie of DLL-procedure.

## Syntaxis:

    [Call] Naam [Parameter]

## Parameters:

Naam: Naam van de sub, functie of DLL die aangeroepen moet worden

Parameter: Parameters om de procedure uit te voeren. Het type en aantal parameters is afhankelijk van de uitgevoerde routine.

Een sleutelwoord is optioneel wanneer een procedure wordt aangeroepen. Als een functie wordt uitgevoerd als een expressie, moeten de parameters in de instructie tussen ronde haakjes staan. Als een DLL wordt aangeroepen moet deze eerst worden gespecificeerd in de Declare-instructie.

## Voorbeeld:

    Sub ExampleCall
    Dim sVar As String
        sVar = "LibreOffice"
        Call f_callFun sVar
    End Sub

    Sub f_callFun (sText as String)
        Msgbox sText
    End Sub